# Prestashop Plugin

## Supported Versions

- PrestaShop 1.7.5
- PHP 7.1 or later


## Getting Started

### Installation Instructions

The instructions below will guide you through all the steps in installing the module.

1. Download archive the latest version of Expay PrestaShop

2. Login to your PrestaShop back office and click to **Modules** -> **Module Manager**.

3. Click **UPLOAD A MODULE**.

4. Select the archive of Expay module.

### First Time Setup

After installation, you are required to configure the module.

1. Login to your PrestaShop back office and go to **Modules & Services**.


2. Click **Modules** -> **ModuleManager**.


3. Find "Expay" module in the list and click **CONFIGURE**.


The module configuration page will appear.

The table below is the settings for the module and the description for each setting.

| Setting             | Description                                                                              |
| ------------------- | -----------------------------------------------------------------------------------------|
| Enable/Disable      | Enables or disables 'Expay payment module'                                               |
| Sandbox             | If selected, all transactions will be performed in TEST mode and TEST keys will be used. |
| Public key for test | Your TEST public key.                                                                    |
| Secret key for test | Your TEST secret key.                                                                    |
| Public key for live | Your LIVE public key.                                                                    |
| Secret key for live | Your LIVE secret key.                                                                    |
| Webhooks endpoint   | The URL for webhooks configuration in your Expay dashboard.                              |

- To enable the module, select the setting for `Enable/Disable` to `Yes`.
- To enable `sandbox` mode, select the setting for `Sandbox` to `Yes`.

**Note:**

If the setting for `Sandbox` is set to `Yes`, the keys for TEST will be used. If the setting for `Sandbox` is set to `No`, the keys for LIVE will be used.

